# std::basic_string<CharT,Traits,Allocator>::rbegin, std::basic_string<CharT,Traits,Allocator>::crbegin

From cppreference.com
< cpp‎ | string‎ | basic string

| (1) |
reverse_iterator rbegin(); |  | (until C++11)
reverse_iterator rbegin() noexcept; |  | (since C++11)
| (2) |
const_reverse_iterator rbegin() const; |  | (until C++11)
const_reverse_iterator rbegin() const noexcept; |  | (since C++11)
const_reverse_iterator crbegin() const noexcept; | (3) | (since C++11)

Returns a reverse iterator to the first character of the reversed string. It corresponds to the last character of the non-reversed string.

### Parameters

(none)

### Return value

reverse iterator to the first character

### Complexity

Constant

### Example

Run this code

    #include <iostream>
    #include <algorithm>
    #include <iterator>
    #include <string>

    int main()
    {
        std::string s("Exemplar!");
        *s.rbegin() = 'y';
        std::cout << s << '\n'; // "Exemplary"

        std::string c;
        std::copy(s.crbegin(), s.crend(), std::back_inserter(c));
        std::cout << c << '\n'; // "yralpmexE"
    }

Output:

    Exemplary
    yralpmexE

### See also

rend crend (C++11) | returns a reverse iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/rbegin&oldid=110147"